org.keycloak.models.sessions.infinispan.events

## Class RemoveUserSessionsEvent.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.events.RemoveUserSessionsEvent.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<RemoveUserSessionsEvent>
  Enclosing class:
    RemoveUserSessionsEvent

      public static class RemoveUserSessionsEvent.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<RemoveUserSessionsEvent>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoveUserSessionsEvent` | `readObject(ObjectInput input)`
    `RemoveUserSessionsEvent` | `readObjectVersion1(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, RemoveUserSessionsEvent obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  RemoveUserSessionsEvent obj)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<RemoveUserSessionsEvent>`
      Throws:
        `IOException`

    - #### readObject

          public RemoveUserSessionsEvent readObject(ObjectInput input)
                                             throws IOException,
                                                    ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<RemoveUserSessionsEvent>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public RemoveUserSessionsEvent readObjectVersion1(ObjectInput input)
                                                     throws IOException,
                                                            ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.